#------------------------------------------------------------
# Swaptotal.py
# Flip the symmetry of the whole figure with one button push.
# Copyright (c) 2005 David G. Drumright (ockham)
#------------------------------------------------------------

import poser
scene = poser.Scene()

#-----------------------------------------------------------------------------
# In currently selected figure, swap right and left.
#-----------------------------------------------------------------------------
try:
  TheFigure = scene.CurrentFigure()
except:
  exit

#-----------------------------------------------------------------------------
scene.SetFrame(0)

TheFigure.SwapTop()
TheFigure.SwapBottom()
MidlineList = ["Neck","Head","Chest","Abdomen","Hip","Left Eye","Right Eye"]
for Name in MidlineList:
    try:
        OneActor = TheFigure.Actor(Name)
    except:
        pass
    try:
        TwistParm = OneActor.ParameterByCode(poser.kParmCodeYROT)
        TwistParm.SetValue(-TwistParm.Value())
    except:
        pass
    try:
        SideParm = OneActor.ParameterByCode(poser.kParmCodeZROT)
        SideParm.SetValue(-SideParm.Value())
    except:
        pass

